Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon_1_1_0.operations
Class GetCapabilitiesDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.owscommon_1_1_0.operations.GetCapabilitiesDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WCTSGetCapabilitiesDocument

    public class GetCapabilitiesDocument

extends XMLFragment

`GetCapabilitiesDocument` parses the OWSCommon 1.1.0 part of a `GetCapabilities` request.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`GetCapabilitiesDocument()`

Method Summary
`List<String>` | `parseAcceptFormats()`
`List<String>` | `parseAcceptVersions()`
`List<String>` | `parseSections()`
`String` | `parseUpdateSequence()`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetCapabilitiesDocument

    public GetCapabilitiesDocument()

Method Detail

### parseAcceptVersions

    public List<String> parseAcceptVersions()
                                     throws XMLParsingException

  Returns:
    a list of versions the client requested or an empty list if no versions were given.
  Throws:
    `XMLParsingException` - if the node could not be parsed.

### parseSections

    public List<String> parseSections()
                               throws XMLParsingException

  Returns:
    a list of sections the client requested or an empty list if no sections were given.
  Throws:
    `XMLParsingException` - if the node could not be parsed.

### parseAcceptFormats

    public List<String> parseAcceptFormats()
                                    throws XMLParsingException

  Returns:
    a list of AcceptedFormats the client requested or an empty list if no AcceptedFormats were given.
  Throws:
    `XMLParsingException` - if the node could not be parsed.

### parseUpdateSequence

    public String parseUpdateSequence()

  Returns:
    the update sequence string or an empty string if not given.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org